Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.xs
Interface XSMultiValueFacet

All Superinterfaces:
  XSObject

public interface XSMultiValueFacet
extends XSObject

Describes a multi-value constraining facets: pattern and enumeration.

Method Summary
`XSObjectList` | `getAnnotations()` A set of [annotations] if it exists, otherwise an empty `XSObjectList`.
`short` | `getFacetKind()` The name of the facet, i.e.
`StringList` | `getLexicalFacetValues()` Values of this facet.

Methods inherited from interface org.apache.xerces.xs.XSObject
`getName, getNamespace, getNamespaceItem, getType`

Method Detail

### getFacetKind

    public short getFacetKind()

  The name of the facet, i.e. `FACET_ENUMERATION` and `FACET_PATTERN` (see `XSConstants`).

### getLexicalFacetValues

    public StringList getLexicalFacetValues()

  Values of this facet.

### getAnnotations

    public XSObjectList getAnnotations()

  A set of [annotations] if it exists, otherwise an empty `XSObjectList`.

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.